kr.co.hanwha.hifive.admin.admin.data

## Enum AdminPlatformType

- java.lang.Object
- - java.lang.Enum<AdminPlatformType>
  - - kr.co.hanwha.hifive.admin.admin.data.AdminPlatformType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdminPlatformType>

    public enum AdminPlatformType
    extends java.lang.Enum<AdminPlatformType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANDROID` Android
`IPHONE` iPhone
`NONE` Default
`NULL`

### Field Summary

Fields
`private int` `mType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static AdminPlatformType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdminPlatformType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NULL

    public static final AdminPlatformType NULL

#### NONE

    public static final AdminPlatformType NONE

Default

#### IPHONE

    public static final AdminPlatformType IPHONE

iPhone

#### ANDROID

    public static final AdminPlatformType ANDROID

Android

### Field Detail

#### mType

    private int mType

### Method Detail

#### values

    public static AdminPlatformType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AdminPlatformType c : AdminPlatformType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AdminPlatformType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()